#include "MultiSignal.h"

MultiSignal::MultiSignal(QWidget *parent) : QWidget(parent)
{
	QFormLayout *playout=new QFormLayout;
	int ni;
	QString stitle(tr("test-input-%1"));
	QString sbutton(tr("%1"));
	for(ni=0;ni<3;ni++){
		//	create parts
		m_title[ni]=new QLabel(stitle.arg(ni+1),this);
		m_filename[ni]=new QLineEdit(this);
		m_button[ni]=new QPushButton(sbutton.arg(ni+1),this);

		//	set of layout
		QHBoxLayout *hboxLayout = new QHBoxLayout;
		hboxLayout->addWidget(m_filename[ni]);
		hboxLayout->addWidget(m_button[ni]);
		playout->addRow(m_title[ni],hboxLayout);
	}
	setLayout(playout);
	/*
	+--------------------------------------------+
	|+------------------------------------------+|
	||            +---------------+------------+||
	|| m_title[0] | m_filename[0] |m_button[0] |||
	||            +---------------+------------+||
	||            +---------------+------------+||
	|| m_title[1] | m_filename[1] |m_button[1] |||
	||            +---------------+------------+||
	||            +---------------+------------+||
	|| m_title[2] | m_filename[1] |m_button[2] |||
	||            +---------------+------------+||
	|+------------------------------------------+|
	+--------------------------------------------+
	*/
}
